<?php

namespace BusinessClass;

/**
 * Définit une question avec plusieurs réponse mais une seule possible.
 */
class ListBoxQuestion extends BoxQuestion
{
    public function __construct()
    {
        parent::__construct(func_num_args(), func_get_args());
    }


    /**
     * Permet de définir la manière dont la question doit s'afficher en HTML.
     *
     * @return string
     */
    public function printStrategy(): string
    {
        $id = $this->getId();
        $content = $this->getContent();
        $possibleResponses = $this->getPossibleResponses();
        $categories = $this->getCategories();

        $html = "\t\t\t<div data-id='$id' class='question'>
                <label>$content</label>
                <select name='answers[]'>\n";

        for ($i = 0; $i < count($possibleResponses); $i++) {
            $categoriesSplit = $possibleResponses[$i]."||";
            foreach ($categories[$i] as $category) {
                $categoriesSplit.= $category."_";
            }
            $html.= "\t\t\t\t\t<option value='$categoriesSplit'>$possibleResponses[$i]</option>\n";
        }
        $html.= "\t\t\t\t</select>
            </div>\n";

        return $html;
    }
}
