<!DOCTYPE html>
<html lang="en">
<head>
    <?php
        global $googleApis, $googleStatic, $poppins, $icon, $logoUCA;
    ?>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="Views/CSS/base.css" />
    <link rel="preconnect" href="<?php echo $googleApis; ?>">
    <link rel="preconnect" href="<?php echo $googleStatic; ?>" crossorigin>
    <link href="<?php echo $poppins; ?>" rel="stylesheet">
    <title>Formulaire de témoignage</title>
    <link rel="shortcut icon" href="<?php echo $icon; ?>" type="image/x-icon">
    <link rel="icon" href="<?php echo $icon; ?>" type="image/x-icon">
</head>

<body>

    <img id="logoUCA" src="<?php echo $logoUCA; ?>" height="35px" width="auto" alt="logo UCA">
    <h1>Administration</h1>

    <div id="container">
        <div>
            <form method="post">
                <label for="keyword"></label><input id="keyword" name="keyword" type="text" size="25" placeholder="...">
                <input type="submit" value="Ajouter">
                <input type="hidden" name="action" value="addKeyword">
            </form>
            <button id="printCategory">Les catégories ▼</button>
            <ul id="listCategories" class="hidden-content">
                <?php
                    foreach ($categories as $category) {
                        ?> <li><?php echo $category; ?></li> <?php
                    }
                ?>
            </ul>
        </div>

        <div>
            <button id="printQuestion">Les questions ▼</button>
            <ul id="listQuestions" class="hidden-content">
                <?php
                foreach ($questions as $question) {
                    ?>
                    <hr>
                    <li><?php echo $question->printStrategy(); ?></li>
                    <?php
                }
                ?>
            </ul>
        </div>
    </div>


    <div class="form-center">
        <button id="addNewQuestion">Ajouter une question ▼</button>
        <form id="addQuestionForm" method="post" class="hidden-content">
            <div id="questionText">
                <label for="question">Écrivez la question : </label>
                <br>
                <input id="question" name="question" type="text" size="100">
            </div>
            <div>
                <br><br>

                <label for="type">Séléctionnez le type de question souhaitée :
                    <br>- Text permet d'écrire la réponse librement.
                    <br>- ListBox permet de choisir une réponse parmi plusieurs possibilités.
                    <br>- CheckBox permet de choisir une ou plusieurs réponses parmi plusieurs possibilités.
                </label>
                <br>
                <select id="type" name="type">
                    <option value="BusinessClass\TextQuestion">Text</option>
                    <option value="BusinessClass\ListBoxQuestion">ListBox</option>
                    <option value="BusinessClass\CheckBoxQuestion">CheckBox</option>
                </select>
            </div>

            <br><br>
            <input type="submit" value="Confirmer">
            <input type="hidden" name="action" value="addQuestion">
        </form>
    </div>

    <div class="form-center">
        <button id="printResponses">Les réponses ▼</button>
        <div id="listResponses">
            <?php
                foreach ($responsesCandidate as $response) { ?>
                    <i><?php echo $response[0]["date"]; ?></i>
                    <p>Catégories associées :
                        <?php
                        echo " | ";
                        foreach ($response[2] as $category)
                            if(!empty($category)) {
                                echo $category[0] . " | ";
                            }
                        ?>
                    </p>
                    <?php foreach ($response[1] as $questionResponses) { ?>
                        <p><i>Question : </i><?php echo $questionResponses["content"]; ?></p>
                        <p><i>Réponse : </i><?php echo $questionResponses["questionContent"]; ?></p>
                        <?php
                    } ?>

                    <hr><br>
                    <?php
                }
            ?>
        </div>
    </div>

</body>

<script src="Views/JS/form_category.js"></script>
<script src="Views/JS/form_question.js"></script>
<script src="Views/JS/constant.js"></script>

</html>
